Package org.h2.command.ddl

# Class PrepareProcedure

java.lang.Object
org.h2.command.Prepared
org.h2.command.ddl.DefineCommand
org.h2.command.ddl.PrepareProcedure

public class PrepareProcedure extends DefineCommand
This class represents the statement PREPARE

## Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`PrepareProcedure(SessionLocal session)`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkParameters()`
Check if all parameters have been set.
`ArrayList<Parameter>`
`getParameters()`
Get the parameter list.
`int`
`getType()`
Get the command type as defined in CommandInterface
`void`
`setPrepared(Prepared prep)`
`void`
`setProcedureName(String name)`
`long`
`update()`
Execute the statement.

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isRetryable, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PrepareProcedure

public PrepareProcedure(SessionLocal session)

## Method Details

### checkParameters

public void checkParameters()
Description copied from class: `Prepared`
Check if all parameters have been set.

Overrides:
  `checkParameters` in class `Prepared`

### update

public long update()
Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

### setProcedureName

public void setProcedureName(String name)

### setPrepared

public void setPrepared(Prepared prep)

### getParameters

public ArrayList<Parameter> getParameters()
Description copied from class: `Prepared`
Get the parameter list.

Overrides:
  `getParameters` in class `Prepared`
Returns:
  the parameter list

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type